Subject: bug#45392: 28.0.50; read-from-minibuffer sets `this-command` variable to `exit-minibuffer`

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 23 Jan 2021 23:49:54 +0100

Daniel Martín <[email-masked]> writes:

> Thanks for your bug report.  I think it is expected that 'this-command'
> is 'exit-minibuffer' in this case, because 'this-command' is usually set
> only once *at the beginning* of the execution of a command.  It keeps
> its value until a *new* command is executed by Emacs.  This is not
> explicitly said in the docstring, but it is mentioned in the Elisp Info
> manual.
>
> I don't know if the docstring could be expressed more clearly; I prefer
> to leave those command loop details to the Info manuals.

I think so, too, so there doesn't seem to be anything further to do in
this bug report, and I'm closing it.  If there's more to be done here,
please respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no